<?php
#Made By: AngelOfFaith
#URL: http://coder-lib.ru
#ICQ: 410755038
#Mail: angeloffaith@inbox.ru
#Скпри запрещено продавать, раздавать, менять, выкладывать, переписывать!
#Все права на скрипт принадлежат автору, тоесть мне!
#З.Ы. Уважайте авторские права

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Зоопарк'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();
aut();

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){
echo '<div class="page_foot"> - <a href="zoo.php?action=form">Добавить животное!</a></div>';



switch ($_GET['action']){

default:
$k_post=mysql_result(mysql_query("SELECT count(*) FROM `gorod_zoo`"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Зверей пока нет!<br/>';
}else{

$q=mysql_query("SELECT * FROM `gorod_zoo` ORDER BY `id` DESC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($q)){
echo "<div class='guser_aut'>";
echo '<img src="zoo/'.$row['path'].'" width="80" height="80" alt=""/><br/>';
echo 'Добавил: <b>'.$row['user'].'</b><br/>';
echo 'Кличка: <b>'.$row['name'].'</b><br/>';
echo 'Место обитания: <b>'.$row['where'].'</b><br/>';
echo 'Семейство: <b>'.$row['fam'].'</b><br/>';
echo 'Порода: <b>'.$row['poroda'].'</b><br/>';
echo 'Описание: <b>'.$row['opis'].'</b></div>';
};

if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
};


break;


case 'form':
echo '<b>Добавление зверя</b><br/>';
echo '<form action="zoo.php?action=save" method="post" name="form" enctype="multipart/form-data">';
echo 'Фото животного:<br/>';
echo '<input type="file" name="ava" /><br/>';
echo 'Kличкa: <br/>';
echo '<input type="text" name="name" /><br/>';
echo 'Место обитания: <br/>';
echo '<input type="text" name="where" /><br/>';
echo 'Ceмeйcтвo: <br/>';
echo '<input type="text" name="sem" /><br/>';
echo 'Порода: <br/>';
echo '<input type="text" name="por" /><br/>';
echo 'Описание животного: <br/>';
echo '<textarea cols="25" rows="3" name="msg"></textarea><br/>';
echo '<input type="submit" value="Добавить" />';
echo '</form>';

echo ' - <a href="zoo.php">Зоопарк</a>';
break;

case 'save':
$names=htmlspecialchars(mysql_real_escape_string(trim($_POST['name'])));
$where=htmlspecialchars(mysql_real_escape_string(trim($_POST['where'])));
$sem=htmlspecialchars(mysql_real_escape_string(trim($_POST['sem'])));
$por=htmlspecialchars(mysql_real_escape_string(trim($_POST['por'])));
$msg=htmlspecialchars(mysql_real_escape_string(trim($_POST['msg'])));
if(!$names || !$where || !$sem || !$por || !$msg){echo 'Пустые параметры!';break;};
if($_FILES['ava']['error']>0){echo 'Ошибка при загрузке файла!';break;};
if($_FILES['ava']['size']>(1000*250)){echo 'Слишком большой размер файла!';break;};
$info=@getimagesize($_FILES['ava']['tmp_name']);
if(!preg_match('{image/(.*)}is',$info['mime'],$p)){echo 'Попытка загрузки запрещенного файла!';break;};
$time=time();
$name=$time.'.'.$p[1];
$tmp=$_FILES['ava']['tmp_name'];
move_uploaded_file($tmp,'zoo/'.$name);
mysql_query("INSERT INTO `gorod_zoo` (`user`,`name`,`path`,`where`,`opis`,`fam`,`poroda`)VALUES('".$user['nick']."','$names','$name','$where','$msg','$sem','$por')");
echo 'Зверь добавлен!<br/>';
echo ' - <a href="zoo.php">Зоопарк</a>';
break;




};

echo '<div class="page_foot"> - <a href="index.php">В город</a></div>';
}else{echo '<div class="msg">Город закрыт администратором!</div>';};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>